Loading...
Searching...
No Matches
wind_overlap.c File Reference

GIS Library - Window overlap functions. More...

`#include <grass/gis.h>`
Include dependency graph for wind_overlap.c:

Go to the source code of this file.

## Functions

int | G_window_overlap (const struct Cell_head *window, double N, double S, double E, double W)
| Determines if a box overlays a map window.
double | G_window_percentage_overlap (const struct Cell_head *window, double N, double S, double E, double W)
| Determines percentage of box is contained in the window.

## Detailed Description

GIS Library - Window overlap functions.

(C) 2001-2014 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  GRASS Development Team

Date
  1999-2014

Definition in file wind_overlap.c.

## Function Documentation

## G_window_overlap()

int G_window_overlap | ( | const struct Cell_head * | window,
|  | double | N,
|  | double | S,
|  | double | E,
|  | double | W )

Determines if a box overlays a map window.

Given a map window, and a box of N,S,E,W does the box overlap the map window?

Note: knows about global wrap-around for lat-long.

Parameters

  [in] | window | pointer to window structure
  [in] | N | north
  [in] | S | south
  [in] | E | east
  [in] | W | west

Returns
  1 if box overlaps window
  0 if box does not overlap window

Definition at line 34 of file wind_overlap.c.

## G_window_percentage_overlap()

double G_window_percentage_overlap | ( | const struct Cell_head * | window,
|  | double | N,
|  | double | S,
|  | double | E,
|  | double | W )

Determines percentage of box is contained in the window.

This version returns the percentage (from 0 to 1) of the box contained in the window. This feature can be used during vector plotting to decide if it is more efficient to do a level-one read of the whole vector map, or to pay the price of a level-two startup so only those arcs that enter the window are actually read.

Parameters

  [in] | window | pointer to window structure
  [in] | N | north
  [in] | S | south
  [in] | E | east
  [in] | W | west

Returns
  percentage of overlap

Definition at line 78 of file wind_overlap.c.

References H.